%define		_state		stable
%define		orgname		khangman

Summary:	K Desktop Environment - A hangman game
Summary(pl_PL.UTF8):	K Desktop Environment - Gra w wisielca
Name:		kde4-khangman
Version:	4.9.0
Release:	2
License:	GPL
Group:		X11/Applications/Science
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	fce02fa1938fa460a49b15cc3d4c51f1
URL:		http://www.kde.org/
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	kde4-libkdeedu-devel >= %{version}
Obsoletes:	kde4-kdeedu-khangman < 4.6.99
Obsoletes:	khangman <= 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KHangMan is a game based on the well known hangman game. A word is
picked in random, the letters are hidden, you must guess the word by
trying a letter after another. Each time you guess a wrong letter, a
picture of a hangman is drawn. You must guess the word before getting
hanged! It is aimed for children aged 6+.

%description -l pl.UTF-8
KHangMan jest grą opartą na popularnej grze w wisielca. Wybierane jest
losowe słowo, którego litery są ukryte. Trzeba zgadnąć to słowo
podając kolejno litery. Za każdym razem, gdy podana litera nie
występuje w słowie, rysowany jest obrazek wisielca. Trzeba odgadnąć
słowo przed powieszeniem! Gra jest przeznaczona dla dzieci w wieku 6
lat lub więcej.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%find_lang %{orgname} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{orgname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/khangman
%{_datadir}/apps/khangman
%{_datadir}/config.kcfg/khangman.kcfg
%{_datadir}/config/khangman.knsrc
%{_desktopdir}/kde4/khangman.desktop
%{_iconsdir}/hicolor/scalable/apps/khangman*.svgz
%{_iconsdir}/hicolor/*x*/apps/khangman*.png
%{_mandir}/man6/khangman.6*
%changelog
* Sun Aug 26 2012 Paweł Sikora <pawel.sikora@agmk.net> 1ac6fb7
package more icons, release 2.

* Sun Aug 26 2012 Paweł Sikora <pawel.sikora@agmk.net> 0a3eabc
updated to 4.9.0.

* Sun Jan 22 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 73cfcd4
- up to 4.8.0; now as kde4-khangman

* Fri Nov 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 21c83da
- up to 4.7.3

* Sun Sep 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 67bcf69
- rel 3; BR: libkdeedu-devel

* Sun Sep 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 317151f
- rel 2

* Tue Sep 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0c3a2db
- up to 4.7.1

